<?php
function waitVM($cluster,$vmid,$wanted_status,$timeout,$uptime=30)
{
    for($i=0;$i<$timeout;$i++)
    {
        $vm = $cluster->getVM($vmid,TRUE);
        $current_status = $vm->getState();

        //Ce qui est ci-dessous ne fonctione pas avec proxmox
/*
//        echo "$current_status</br>";

        if( $wanted_status == 'restart' && $current_status == 'running')
        {
//            echo $vm->getUpTime() . " < $uptime</br>";
            if( $vm->getUpTime() < $uptime )
            {
                return TRUE;
            }
        }
        */
        if( $current_status == $wanted_status)
        {
            return TRUE;
        }
        sleep(1);
    }
    return FALSE;
}

function getStatus($percent)
{
    if( $percent < 80 )
    {
        return 'OK';
    }
    elseif( $percent < 90 )
    {
        return 'WARNING';
    }
    else
    {
        return 'CRITICAL';
    }
}

function parseUptime($row,$nb=4)
{
	global $lang;
	$ut = $row;

	$days = floor($ut/(3600*24));
    $rdays = round($ut/(3600*24),0,PHP_ROUND_HALF_DOWN);
	$ut %=(3600*24);

	$hours = floor($ut/3600);
    $rhours = round($ut/(3600),0,PHP_ROUND_HALF_DOWN);
	$ut %=3600;

	$minutes =  floor($ut/60);
    $rminutes = round($ut/60,0,PHP_ROUND_HALF_DOWN);
	$ut %=60;
	$secondes = $ut;

    $calc = $days;
    $i = 1;
    $exp = array();
    if( $calc > 0 && $nb >= $i)
    {
            if( $nb == $i)
            {
                $exp[] = $rdays;
            }
            else
            {
                $exp[] = $days;
            }
	       $exp[] = $lang['VIRT_TIME_DAYS'];
           $i++;
    }
    $calc += $hours;
    if( $calc > 0 && $nb >= $i)
    {
            if( $nb == $i)
            {
                $exp[] = $rhours;
            }
            else
            {
                $exp[] = $hours;
            }
	       $exp[] = $lang['VIRT_TIME_HOURS'];
           $i++;
    }
    $calc += $minutes;
    if( $calc > 0 && $nb >= $i)
    {
            if( $nb == $i)
            {
                $exp[] = $rminutes;
            }
            else
            {
                $exp[] = $minutes;
            }
	       $exp[] = $lang['VIRT_TIME_MINUTES'];
           $i++;
    }
    $calc += $secondes;
    if( $calc > 0 && $nb >= $i)
    {
    	$exp[] = $secondes;
    	$exp[] = $lang['VIRT_TIME_SECONDS'];
        $i++;
    }
	$ret = implode(' ',$exp);
	return $ret;
}
